{"items":[{"type":"link","label":"Data Collection API","link":"/openapi/data-collection-api.openapi","routeSlug":"/openapi/data-collection-api.openapi","content":{"contentType":"overview","meta":{"name":"Data Collection API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"DATA-COLLECTION-API.openapi.json","url":"/_bundle/openapi/DATA-COLLECTION-API.openapi.json?download"},{"kind":"download","label":"DATA-COLLECTION-API.openapi.yaml","url":"/_bundle/openapi/DATA-COLLECTION-API.openapi.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Data Collection API","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":"V3 Data Collection API's"}],"sectionId":"/openapi/data-collection-api.openapi"}],"sectionId":"/openapi/data-collection-api.openapi"}]}]}},{"type":"group","label":"Action Sets","link":"/openapi/data-collection-api.openapi/action-sets","routeSlug":"/openapi/data-collection-api.openapi/action-sets","items":[{"label":"Get action sets","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-sets/getactionsets","routeSlug":"/openapi/data-collection-api.openapi/action-sets/getactionsets","metadata":{"seo":{"title":"Get action sets","description":"GET /v3/action-sets"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getActionSets","name":"Get action sets","isWebhook":false,"pointer":"/paths/~1v3~1action-sets/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get action sets","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Retrieve all action sets in the account"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"accountId","in":"query","schemaId":"components/schemas/EmailInboxId","description":"Filter action sets by account ID"}],"pointer":"/paths/~1v3~1action-sets/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/action-sets","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[],"query":[{"name":"accountId","in":"query","required":false,"schemaId":"components/schemas/EmailInboxId"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","400","401","403"],"pointer":"/v3/action-sets","href":"action-sets/getactionsets","openApiOperationId":"getActionSets","summary":"Get action sets"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Action sets retrieved successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_384"}},"schemaId":"schema_384"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"schema_384","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_384"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-sets/getactionsets"}],"panels":[]}]},"httpPath":"/v3/action-sets"},{"label":"Create action set","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-sets/createactionset","routeSlug":"/openapi/data-collection-api.openapi/action-sets/createactionset","metadata":{"seo":{"title":"Create action set","description":"POST /v3/action-sets"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createActionSet","name":"Create action set","isWebhook":false,"pointer":"/paths/~1v3~1action-sets/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create action set","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Create a new action set"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"accountId","in":"query","schemaId":"components/schemas/EmailInboxId","description":"Account ID to create action set in"}],"pointer":"/paths/~1v3~1action-sets/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"schemaId":"components/schemas/ActionSetDto","pointer":"/paths/~1v3~1action-sets/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v3/action-sets","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[],"query":[{"name":"accountId","in":"query","required":false,"schemaId":"components/schemas/EmailInboxId"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"responseCodes":["200","400","401","403","404"],"pointer":"/v3/action-sets","href":"action-sets/createactionset","openApiOperationId":"createActionSet","summary":"Create action set"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/ActionSetDto","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Action set created successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"schemaId":"components/schemas/ActionSetDto"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ActionSetDto","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-sets/createactionset"}],"panels":[]}]},"httpPath":"/v3/action-sets"},{"label":"Get action set by ID","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-sets/getactionset","routeSlug":"/openapi/data-collection-api.openapi/action-sets/getactionset","metadata":{"seo":{"title":"Get action set by ID","description":"GET /v3/action-sets/{actionSetId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getActionSet","name":"Get action set by ID","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get action set by ID","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Retrieve a specific action set by its ID"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action set to retrieve","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/action-sets/{actionSetId}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}","href":"action-sets/getactionset","openApiOperationId":"getActionSet","summary":"Get action set by ID"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Action set retrieved successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"schemaId":"components/schemas/ActionSetDto"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ActionSetDto","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-sets/getactionset"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}"},{"label":"Update action set","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-sets/updateactionset","routeSlug":"/openapi/data-collection-api.openapi/action-sets/updateactionset","metadata":{"seo":{"title":"Update action set","description":"PUT /v3/action-sets/{actionSetId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"updateActionSet","name":"Update action set","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update action set","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-put"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"PUT"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Update an existing action set"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action set to update","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"schemaId":"components/schemas/ActionSetDto","pointer":"/paths/~1v3~1action-sets~1{actionSetId}/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/v3/action-sets/{actionSetId}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"responseCodes":["200","400","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}","href":"action-sets/updateactionset","openApiOperationId":"updateActionSet","summary":"Update action set"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/ActionSetDto","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Action set updated successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}},"schemaId":"components/schemas/ActionSetDto"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ActionSetDto","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetDto"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-sets/updateactionset"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}"},{"label":"Delete action set","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-sets/deleteactionset","routeSlug":"/openapi/data-collection-api.openapi/action-sets/deleteactionset","metadata":{"seo":{"title":"Delete action set","description":"DELETE /v3/action-sets/{actionSetId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"deleteActionSet","name":"Delete action set","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete action set","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-delete"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"DELETE"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Delete an existing action set"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action set to delete","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/v3/action-sets/{actionSetId}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["204","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}","href":"action-sets/deleteactionset","openApiOperationId":"deleteActionSet","summary":"Delete action set"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204","description":"Action set deleted successfully"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}/delete/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"204"},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-sets/deleteactionset"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}"}],"content":{"contentType":"group","meta":{"name":"action-sets"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Action Sets","showPageActions":true},{"nodeType":"markdoc","content":"APIs for managing Action Sets"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v3/action-sets","summary":"Get action sets","prefix":{"name":"get","color":"get"},"badges":[],"link":"/action-sets/getactionsets","deprecated":false},{"title":"/v3/action-sets","summary":"Create action set","prefix":{"name":"post","color":"post"},"badges":[],"link":"/action-sets/createactionset","deprecated":false},{"title":"/v3/action-sets/{actionSetId}","summary":"Get action set by ID","prefix":{"name":"get","color":"get"},"badges":[],"link":"/action-sets/getactionset","deprecated":false},{"title":"/v3/action-sets/{actionSetId}","summary":"Update action set","prefix":{"name":"put","color":"put"},"badges":[],"link":"/action-sets/updateactionset","deprecated":false},{"title":"/v3/action-sets/{actionSetId}","summary":"Delete action set","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/action-sets/deleteactionset","deprecated":false}]}]}]}]}},{"type":"group","label":"Action Set Actions","link":"/openapi/data-collection-api.openapi/action-set-actions","routeSlug":"/openapi/data-collection-api.openapi/action-set-actions","items":[{"label":"Get action set action","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-set-actions/getactionsetaction","routeSlug":"/openapi/data-collection-api.openapi/action-set-actions/getactionsetaction","metadata":{"seo":{"title":"Get action set action","description":"GET /v3/action-sets/{actionSetId}/actions/{actionId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getActionSetAction","name":"Get action set action","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get action set action","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/actions/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Retrieve a specific action from an action set"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action set","required":true},{"name":"actionId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action to retrieve","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/action-sets/{actionSetId}/actions/{actionId}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"},{"name":"actionId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}/actions/{actionId}","href":"action-set-actions/getactionsetaction","openApiOperationId":"getActionSetAction","summary":"Get action set action"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Action retrieved successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}},"schemaId":"components/schemas/ActionSetActionDto"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ActionSetActionDto","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-set-actions/getactionsetaction"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}/actions/{actionId}"},{"label":"Update action set action","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-set-actions/updateactionsetaction","routeSlug":"/openapi/data-collection-api.openapi/action-set-actions/updateactionsetaction","metadata":{"seo":{"title":"Update action set action","description":"PUT /v3/action-sets/{actionSetId}/actions/{actionId}"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"updateActionSetAction","name":"Update action set action","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update action set action","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-put"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"PUT"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/actions/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionId}"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Update a specific action in an action set"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action set","required":true},{"name":"actionId","in":"path","schemaId":"components/schemas/CensusId","description":"ID of the action to update","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}},"schemaId":"components/schemas/ActionSetActionDto","pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/v3/action-sets/{actionSetId}/actions/{actionId}","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"},{"name":"actionId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}},"responseCodes":["200","400","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}/actions/{actionId}","href":"action-set-actions/updateactionsetaction","openApiOperationId":"updateActionSetAction","summary":"Update action set action"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/ActionSetActionDto","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Action updated successfully","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}},"schemaId":"components/schemas/ActionSetActionDto"},{"code":"400","description":"The request cannot be accepted","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ActionSetActionDto","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ActionSetActionDto"}}},{"code":"400","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-set-actions/updateactionsetaction"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}/actions/{actionId}"}],"content":{"contentType":"group","meta":{"name":"action-set-actions"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Action Set Actions","showPageActions":true},{"nodeType":"markdoc","content":"APIs for managing Action Set Actions"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v3/action-sets/{actionSetId}/actions/{actionId}","summary":"Get action set action","prefix":{"name":"get","color":"get"},"badges":[],"link":"/action-set-actions/getactionsetaction","deprecated":false},{"title":"/v3/action-sets/{actionSetId}/actions/{actionId}","summary":"Update action set action","prefix":{"name":"put","color":"put"},"badges":[],"link":"/action-set-actions/updateactionsetaction","deprecated":false}]}]}]}]}},{"type":"group","label":"Action Set Action Rules","link":"/openapi/data-collection-api.openapi/action-set-action-rules","routeSlug":"/openapi/data-collection-api.openapi/action-set-action-rules","items":[{"label":"Get action set action rules","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-set-action-rules/getactionsetactionrules","routeSlug":"/openapi/data-collection-api.openapi/action-set-action-rules/getactionsetactionrules","metadata":{"seo":{"title":"Get action set action rules","description":"GET /v3/action-sets/{actionSetId}/actions/{actionId}/rules"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getActionSetActionRules","name":"Get action set action rules","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get action set action rules","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/actions/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/rules"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Retrieve all rules for a specific action set and action"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"Action set ID","required":true},{"name":"actionId","in":"path","schemaId":"components/schemas/CensusId","description":"Action ID","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"},{"name":"actionId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules","href":"action-set-action-rules/getactionsetactionrules","openApiOperationId":"getActionSetActionRules","summary":"Get action set action rules"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully retrieved rules","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_385"}},"schemaId":"schema_385"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"schema_385","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_385"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-set-action-rules/getactionsetactionrules"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules"},{"label":"Update action set action rules","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/action-set-action-rules/updateactionsetactionrules","routeSlug":"/openapi/data-collection-api.openapi/action-set-action-rules/updateactionsetactionrules","metadata":{"seo":{"title":"Update action set action rules","description":"PUT /v3/action-sets/{actionSetId}/actions/{actionId}/rules"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"updateActionSetActionRules","name":"Update action set action rules","isWebhook":false,"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update action set action rules","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-put"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"PUT"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/action-sets/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionSetId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/actions/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{actionId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/rules"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Update the rules for a specific action set and action with a new set of rule IDs"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"actionSetId","in":"path","schemaId":"components/schemas/CensusId","description":"Action set ID","required":true},{"name":"actionId","in":"path","schemaId":"components/schemas/CensusId","description":"Action ID","required":true}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_386"}},"schemaId":"schema_386","pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"actionSetId","in":"path","required":true,"schemaId":"components/schemas/CensusId"},{"name":"actionId","in":"path","required":true,"schemaId":"components/schemas/CensusId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_386"}},"responseCodes":["200","401","403","404"],"pointer":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules","href":"action-set-action-rules/updateactionsetactionrules","openApiOperationId":"updateActionSetActionRules","summary":"Update action set action rules"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"schema_386","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_386"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Successfully updated rules","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_385"}},"schemaId":"schema_385"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1action-sets~1{actionSetId}~1actions~1{actionId}~1rules/put/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"schema_385","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_385"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/action-set-action-rules/updateactionsetactionrules"}],"panels":[]}]},"httpPath":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules"}],"content":{"contentType":"group","meta":{"name":"action-set-action-rules"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Action Set Action Rules","showPageActions":true},{"nodeType":"markdoc","content":"APIs for managing Action Set Action Rules"}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules","summary":"Get action set action rules","prefix":{"name":"get","color":"get"},"badges":[],"link":"/action-set-action-rules/getactionsetactionrules","deprecated":false},{"title":"/v3/action-sets/{actionSetId}/actions/{actionId}/rules","summary":"Update action set action rules","prefix":{"name":"put","color":"put"},"badges":[],"link":"/action-set-action-rules/updateactionsetactionrules","deprecated":false}]}]}]}]}},{"type":"group","label":"Consent Categories","link":"/openapi/data-collection-api.openapi/consent-categories","routeSlug":"/openapi/data-collection-api.openapi/consent-categories","items":[{"label":"Get all the consent categories assigned to an audit","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/consent-categories/getauditconsentcategories","routeSlug":"/openapi/data-collection-api.openapi/consent-categories/getauditconsentcategories","metadata":{"seo":{"title":"Get all the consent categories assigned to an audit","description":"GET /v3/web-audits/{auditId}/consent-categories"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getAuditConsentCategories","name":"Get all the consent categories assigned to an audit","isWebhook":false,"pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get all the consent categories assigned to an audit","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/web-audits/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{auditId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/consent-categories"},"children":[]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"auditId","in":"path","schemaId":"schema_387","description":"Unique identification number for web audit","required":true}],"pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/web-audits/{auditId}/consent-categories","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"auditId","in":"path","required":true,"example":107239,"schemaId":"components/schemas/AuditId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","401","403","404"],"pointer":"/v3/web-audits/{auditId}/consent-categories","href":"consent-categories/getauditconsentcategories","openApiOperationId":"getAuditConsentCategories","summary":"Get all the consent categories assigned to an audit"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK, return a list of consent-categories assigned to an audit","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO"}},"schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/consent-categories/getauditconsentcategories"}],"panels":[]}]},"httpPath":"/v3/web-audits/{auditId}/consent-categories"},{"label":"Update the consent categories assigned to an audit","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/consent-categories/patchauditconsentcategories","routeSlug":"/openapi/data-collection-api.openapi/consent-categories/patchauditconsentcategories","metadata":{"seo":{"title":"Update the consent categories assigned to an audit","description":"PATCH /v3/web-audits/{auditId}/consent-categories"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"patchAuditConsentCategories","name":"Update the consent categories assigned to an audit","isWebhook":false,"pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update the consent categories assigned to an audit","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-patch"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"PATCH"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/web-audits/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{auditId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/consent-categories"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Update the consent categories assigned to an audit. The request will be rejected if trying to assign conflicting consent category types to the same audit"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"auditId","in":"path","schemaId":"schema_387","description":"Unique identification number for web audit","required":true}],"pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json-patch+json"],"mediaTypeSchemas":{"application/json-patch+json":{"schemaId":"components/schemas/AttachmentPatchDocument_RequestDTO"}},"schemaId":"components/schemas/AttachmentPatchDocument_RequestDTO","pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/patch/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/v3/web-audits/{auditId}/consent-categories","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"auditId","in":"path","required":true,"example":107239,"schemaId":"components/schemas/AuditId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json-patch+json":{"schemaId":"components/schemas/AttachmentPatchDocument_RequestDTO"}},"responseCodes":["200","401","403","404"],"pointer":"/v3/web-audits/{auditId}/consent-categories","href":"consent-categories/patchauditconsentcategories","openApiOperationId":"patchAuditConsentCategories","summary":"Update the consent categories assigned to an audit"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/AttachmentPatchDocument_RequestDTO","mediaTypes":["application/json-patch+json"],"mediaTypeSchemas":{"application/json-patch+json":{"schemaId":"components/schemas/AttachmentPatchDocument_RequestDTO"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK, return the modified consent category assignments","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO"}},"schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1web-audits~1{auditId}~1consent-categories/patch/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebAudit_ConsentCategories_ResponseDTO"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/consent-categories/patchauditconsentcategories"}],"panels":[]}]},"httpPath":"/v3/web-audits/{auditId}/consent-categories"},{"label":"Retrieve all consent categories snapshots that are applied to a specific audit run. ","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/consent-categories/getauditrunconsentcategories","routeSlug":"/openapi/data-collection-api.openapi/consent-categories/getauditrunconsentcategories","metadata":{"seo":{"title":"Retrieve all consent categories snapshots that are applied to a specific audit run. ","description":"GET /v3/web-audits/{auditId}/runs/{runId}/consent-categories"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getAuditRunConsentCategories","name":"Retrieve all consent categories snapshots that are applied to a specific audit run. ","isWebhook":false,"pointer":"/paths/~1v3~1web-audits~1{auditId}~1runs~1{runId}~1consent-categories/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Retrieve all consent categories snapshots that are applied to a specific audit run. ","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-get"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"GET"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/web-audits/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{auditId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/runs/"},"children":[]},{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-path-parameter"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"{runId}"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":"/consent-categories"},"children":[]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"auditId","in":"path","schemaId":"schema_387","description":"Unique identification number for web audit","required":true},{"name":"runId","in":"path","schemaId":"schema_388","description":"Unique identification number for web audit or journey run","required":true}],"pointer":"/paths/~1v3~1web-audits~1{auditId}~1runs~1{runId}~1consent-categories/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v3/web-audits/{auditId}/runs/{runId}/consent-categories","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[{"name":"auditId","in":"path","required":true,"example":107239,"schemaId":"components/schemas/AuditId"},{"name":"runId","in":"path","required":true,"example":33010,"schemaId":"components/schemas/RunId"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"responseCodes":["200","401","403","404"],"pointer":"/v3/web-audits/{auditId}/runs/{runId}/consent-categories","href":"consent-categories/getauditrunconsentcategories","openApiOperationId":"getAuditRunConsentCategories","summary":"Retrieve all consent categories snapshots that are applied to a specific audit run. "},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK, return a list of consent category snapshots assigned to this run","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebAudit_ConsentCategorySnapshots_ResponseDTO"}},"schemaId":"components/schemas/WebAudit_ConsentCategorySnapshots_ResponseDTO"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1web-audits~1{auditId}~1runs~1{runId}~1consent-categories/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/WebAudit_ConsentCategorySnapshots_ResponseDTO","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/WebAudit_ConsentCategorySnapshots_ResponseDTO"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/consent-categories/getauditrunconsentcategories"}],"panels":[]}]},"httpPath":"/v3/web-audits/{auditId}/runs/{runId}/consent-categories"},{"label":"Create or update consent categories found in the file uploaded previously","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/consent-categories/uploadconsentcategories","routeSlug":"/openapi/data-collection-api.openapi/consent-categories/uploadconsentcategories","metadata":{"seo":{"title":"Create or update consent categories found in the file uploaded previously","description":"POST /v3/consent-categories/upload"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"uploadConsentCategories","name":"Create or update consent categories found in the file uploaded previously","isWebhook":false,"pointer":"/paths/~1v3~1consent-categories~1upload/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create or update consent categories found in the file uploaded previously","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/consent-categories/upload"},"children":[]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ConsentCategoriesUploadRequest"}},"schemaId":"components/schemas/ConsentCategoriesUploadRequest","pointer":"/paths/~1v3~1consent-categories~1upload/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v3/consent-categories/upload","servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"API_Key","type":"apiKey","name":"Authorization","in":"header"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ConsentCategoriesUploadRequest"}},"responseCodes":["200","401","403","404"],"pointer":"/v3/consent-categories/upload","href":"consent-categories/uploadconsentcategories","openApiOperationId":"uploadConsentCategories","summary":"Create or update consent categories found in the file uploaded previously"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.observepoint.com","description":"ObservePoint Production API"}],"schemaId":"components/schemas/ConsentCategoriesUploadRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ConsentCategoriesUploadRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK, return a list of updated consent categories","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_389"}},"schemaId":"schema_389"},{"code":"401","description":"Your token is invalid.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"403","description":"You don't have enough rights to access this resource","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"},{"code":"404","description":"The object you are looking is not found","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}},"schemaId":"components/schemas/ErrorModel"}],"pointer":"/paths/~1v3~1consent-categories~1upload/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"schema_389","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_389"}}},{"code":"401","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"403","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}},{"code":"404","schemaId":"components/schemas/ErrorModel","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ErrorModel"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/consent-categories/uploadconsentcategories"}],"panels":[]}]},"httpPath":"/v3/consent-categories/upload"},{"label":"Upload a file with consent category configurations and preview the changes","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/openapi/data-collection-api.openapi/consent-categories/uploadconsentcategoriespreview","routeSlug":"/openapi/data-collection-api.openapi/consent-categories/uploadconsentcategoriespreview","metadata":{"seo":{"title":"Upload a file with consent category configurations and preview the changes","description":"POST /v3/consent-categories/upload/preview"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"uploadConsentCategoriesPreview","name":"Upload a file with consent category configurations and preview the changes","isWebhook":false,"pointer":"/paths/~1v3~1consent-categories~1upload~1preview/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Upload a file with consent category configurations and preview the changes","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"div","attrs":{"className":"op-path-box"}},"children":[{"$$mdtype":"Node","type":"tag","tag":"html","attributes":{"name":"span","attrs":{"className":"op-http-method-post"}},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"POST"},"children":[]}]},{"$$mdtype":"Node","type":"text","attributes":{"content":" /v3/consent-categories/upload/preview"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"File uploaded must be a xlsx or csv file and cannot be larger than 1MB"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"API_Key","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Use the "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" header in your requests with ObservePoint API key as header value."},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Example: "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: abc123...def456"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["multipart/form-data"],"mediaTypeSchemas":{"multipart/form-data":{"schemaId":"schema_390"}},"schemaId":"
[...]
